libgpgmepp-dev_1.13.1-1_amd64.deb


Advertisement

Description

libgpgmepp-dev - C++ and Qt bindings for GPGME (development files)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libgpgmepp-dev_1.13.1-1_amd64.deb
Package name libgpgmepp-dev
Package version 1.13.1
Package release 1
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://www.gnupg.org/related_software/gpgme/
License -
Maintainer Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Download size 537.83 KB
Installed size 4.09 MB

Alternatives

Package Version Architecture Repository
libgpgmepp-dev_1.13.1-1_i386.deb 1.13.1 i386 Debian Main
libgpgmepp-dev - - -

Requires

Name Value
libgpgmepp6 = 1.13.1-1
libqgpgme7 = 1.13.1-1
qtbase5-dev -

Replaces

Name Value
kdepimlibs5-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgpgmepp-dev_1.13.1-1_amd64.deb
Source Package gpgme1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgpgmepp-dev deb package:
    # sudo apt-get install libgpgmepp-dev

Files

Path
/usr/include/QGpgME/AbstractImportJob
/usr/include/QGpgME/AddUserIDJob
/usr/include/QGpgME/ChangeExpiryJob
/usr/include/QGpgME/ChangeOwnerTrustJob
/usr/include/QGpgME/ChangePasswdJob
/usr/include/QGpgME/CryptoConfig
/usr/include/QGpgME/DN
/usr/include/QGpgME/DataProvider
/usr/include/QGpgME/DecryptJob
/usr/include/QGpgME/DecryptVerifyJob
/usr/include/QGpgME/DefaultKeyGenerationJob
/usr/include/QGpgME/DeleteJob
/usr/include/QGpgME/DownloadJob
/usr/include/QGpgME/EncryptJob
/usr/include/QGpgME/ExportJob
/usr/include/QGpgME/HierarchicalKeyKistJob
/usr/include/QGpgME/ImportFromKeyserverJob
/usr/include/QGpgME/ImportJob
/usr/include/QGpgME/Job
/usr/include/QGpgME/KeyForMailboxJob
/usr/include/QGpgME/KeyGenerationJob
/usr/include/QGpgME/KeyListJob
/usr/include/QGpgME/ListAllKeysJob
/usr/include/QGpgME/MultiDeleteJob
/usr/include/QGpgME/Protocol
/usr/include/QGpgME/QGpgMENewCryptoConfig
/usr/include/QGpgME/QuickJob
/usr/include/QGpgME/RefreshKeysJob
/usr/include/QGpgME/SignEncryptJob
/usr/include/QGpgME/SignJob
/usr/include/QGpgME/SignKeyJob
/usr/include/QGpgME/SpecialJob
/usr/include/QGpgME/TofuPolicyJob
/usr/include/QGpgME/VerifyDetachedJob
/usr/include/QGpgME/VerifyOpaqueJob
/usr/include/QGpgME/WKSPublishJob
/usr/include/gpgme++/configuration.h
/usr/include/gpgme++/context.h
/usr/include/gpgme++/data.h
/usr/include/gpgme++/decryptionresult.h
/usr/include/gpgme++/defaultassuantransaction.h
/usr/include/gpgme++/editinteractor.h
/usr/include/gpgme++/encryptionresult.h
/usr/include/gpgme++/engineinfo.h
/usr/include/gpgme++/error.h
/usr/include/gpgme++/eventloopinteractor.h
/usr/include/gpgme++/exception.h
/usr/include/gpgme++/global.h
/usr/include/gpgme++/gpgadduserideditinteractor.h
/usr/include/gpgme++/gpgagentgetinfoassuantransaction.h
/usr/include/gpgme++/gpggencardkeyinteractor.h
/usr/include/gpgme++/gpgmefw.h
/usr/include/gpgme++/gpgmepp_export.h
/usr/include/gpgme++/gpgmepp_version.h
/usr/include/gpgme++/gpgsetexpirytimeeditinteractor.h
/usr/include/gpgme++/gpgsetownertrusteditinteractor.h
/usr/include/gpgme++/gpgsignkeyeditinteractor.h
/usr/include/gpgme++/importresult.h
/usr/include/gpgme++/key.h
/usr/include/gpgme++/keygenerationresult.h
/usr/include/gpgme++/keylistresult.h
/usr/include/gpgme++/notation.h
/usr/include/gpgme++/result.h
/usr/include/gpgme++/scdgetinfoassuantransaction.h
/usr/include/gpgme++/signingresult.h
/usr/include/gpgme++/swdbresult.h
/usr/include/gpgme++/tofuinfo.h
/usr/include/gpgme++/trustitem.h
/usr/include/gpgme++/verificationresult.h
/usr/include/gpgme++/vfsmountresult.h
/usr/include/gpgme++/interfaces/assuantransaction.h
/usr/include/gpgme++/interfaces/dataprovider.h
/usr/include/gpgme++/interfaces/passphraseprovider.h
/usr/include/gpgme++/interfaces/progressprovider.h
/usr/include/qgpgme/abstractimportjob.h
/usr/include/qgpgme/adduseridjob.h
/usr/include/qgpgme/changeexpiryjob.h
/usr/include/qgpgme/changeownertrustjob.h
/usr/include/qgpgme/changepasswdjob.h
/usr/include/qgpgme/cryptoconfig.h
/usr/include/qgpgme/dataprovider.h
/usr/include/qgpgme/decryptjob.h
/usr/include/qgpgme/decryptverifyjob.h
/usr/include/qgpgme/defaultkeygenerationjob.h
/usr/include/qgpgme/deletejob.h
/usr/include/qgpgme/dn.h
/usr/include/qgpgme/downloadjob.h
/usr/include/qgpgme/encryptjob.h
/usr/include/qgpgme/exportjob.h
/usr/include/qgpgme/hierarchicalkeylistjob.h
/usr/include/qgpgme/importfromkeyserverjob.h
/usr/include/qgpgme/importjob.h
/usr/include/qgpgme/job.h
/usr/include/qgpgme/keyformailboxjob.h
/usr/include/qgpgme/keygenerationjob.h
/usr/include/qgpgme/keylistjob.h
/usr/include/qgpgme/listallkeysjob.h
/usr/include/qgpgme/multideletejob.h
/usr/include/qgpgme/protocol.h
/usr/include/qgpgme/qgpgme_export.h
/usr/include/qgpgme/qgpgme_version.h
/usr/include/qgpgme/qgpgmenewcryptoconfig.h
/usr/include/qgpgme/quickjob.h
/usr/include/qgpgme/refreshkeysjob.h
/usr/include/qgpgme/signencryptjob.h
/usr/include/qgpgme/signjob.h
/usr/include/qgpgme/signkeyjob.h
/usr/include/qgpgme/specialjob.h
/usr/include/qgpgme/tofupolicyjob.h
/usr/include/qgpgme/verifydetachedjob.h
/usr/include/qgpgme/verifyopaquejob.h
/usr/include/qgpgme/wkspublishjob.h
/usr/lib/x86_64-linux-gnu/libgpgmepp.a
/usr/lib/x86_64-linux-gnu/libgpgmepp.so
/usr/lib/x86_64-linux-gnu/libqgpgme.a
/usr/lib/x86_64-linux-gnu/libqgpgme.so
/usr/lib/x86_64-linux-gnu/cmake/Gpgmepp/GpgmeppConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/Gpgmepp/GpgmeppConfigVersion.cmake
/usr/lib/x86_64-linux-gnu/cmake/QGpgme/QGpgmeConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/QGpgme/QGpgmeConfigVersion.cmake
/usr/share/doc/libgpgmepp-dev/README.gpgmepp
/usr/share/doc/libgpgmepp-dev/README.qgpgme.gz
/usr/share/doc/libgpgmepp-dev/changelog.Debian.gz
/usr/share/doc/libgpgmepp-dev/changelog.gz
/usr/share/doc/libgpgmepp-dev/copyright

Changelog

2019-08-26 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.13.1-1) unstable; urgency=medium
* new upstream release
* release to unstable
* d/{control,gpb.conf}: fix up Vcs branch name for DEP-14
* make sure to test python decryption and verification
* Standards-Version: bump to 4.4.0 (no changes needed)
* Drop python2 support, only build for python3
* go with upstream python, ignoring intermittent decrypt problems
2019-05-29 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.13.0-2) experimental; urgency=medium
* refresh patches
* fix signature verification failure when decrypting with session keys
* ship pkgconfig file gpgme.pc
* Definitively avoid shipping gpgme-glib.pc
* dh_missing --fail-missing
2019-05-03 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.13.0-1) experimental; urgency=medium
[ Helmut Grohne ]
* Fix FTCBFS (Closes: #912898)
[ Daniel Kahn Gillmor ]
* new upstream release to experimental due to the freeze
* move to DEP-14 debian/experimental branch
* move to debhelper 12
* standards-version: bump to 4.3.0 (no changes needed)
* refresh patches (dropping those already upstream)
* refresh lintian-overrides
* add Build-Depends-Package field to libgpgme11.symbols
* gbp import-orig: filter out generated VERSION file and emacs turds
* Re-export upstream signing key without extra signatures.
2019-01-23 - Roger Shimizu <rosh@debian.org>
gpgme1.0 (1.12.0-6) unstable; urgency=medium
* Team upload.
* d/tests: Fix autopkgtest by removing test for python3.6, and
python3.7, since we already have test for python3.
2019-01-20 - Roger Shimizu <rosh@debian.org>
gpgme1.0 (1.12.0-5) unstable; urgency=medium
* Team upload.
* Backport upstream patch to fix RC bug that TofuInfoTest key expires
on 2019-Jan-06 (Closes: #919293).
2018-10-18 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.12.0-4) unstable; urgency=medium
* no need to clean up build-py3.7 any longer
* Fix test suite on arches with 32-bit time_t
2018-10-18 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.12.0-3) unstable; urgency=medium
* use upstream patches to build all versions of python
2018-10-17 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.12.0-2) unstable; urgency=medium
* clean up residue of older build reorganization
* do out-of-tree builds
* hide HAVE_CXX11 from python bindings
* perform an extra configuration and build to get python 3.7 working
2018-10-16 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.12.0-1) unstable; urgency=medium
* New upstream release
* refresh patches
* update .symbols
* refresh gpgmepp6.lintian-overrides
2018-10-09 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gpgme1.0 (1.11.1-2) unstable; urgency=medium
* acknowledge NMU (thanks, Adrian!)
* allow rebuild with older versions of libgpg-error
* drop python3.5, try to add 3.7
* d/changelog: strip trailing whitespace
* Standards-Version: bump to 4.2.1 (no changes needed)
* use dh_missing explicitly
* avoid shipping gpgme-json yet (we will ship it next release)

See Also

Package Description
libgpgmepp-doc_1.13.1-1_all.deb C++ and Qt bindings for GPGME (documentation for developers)
libgpgmepp6_1.13.1-1_amd64.deb C++ wrapper library for GPGME
libgphobos-7-dev_7.4.0-14_amd64.deb Phobos D standard library
libgphobos-8-dev-amd64-cross_8.3.0-22cross1_all.deb Phobos D standard library
libgphobos-8-dev-armel-cross_8.3.0-22cross1_all.deb Phobos D standard library
libgphobos-8-dev-armhf-cross_8.3.0-22cross1_all.deb Phobos D standard library
libgphobos-8-dev-i386-cross_8.3.0-22cross1_all.deb Phobos D standard library
libgphobos-8-dev-x32-cross_8.3.0-22cross1_all.deb Phobos D standard library
libgphobos-8-dev_8.3.0-23_amd64.deb Phobos D standard library
libgphobos-9-dev-amd64-cross_9.2.1-8cross1_all.deb Phobos D standard library
libgphobos-9-dev-arm64-cross_9.2.1-8cross1_all.deb Phobos D standard library
libgphobos-9-dev-armel-cross_9.2.1-8cross1_all.deb Phobos D standard library
libgphobos-9-dev-armhf-cross_9.2.1-8cross1_all.deb Phobos D standard library
libgphobos-9-dev-i386-cross_9.2.1-8cross1_all.deb Phobos D standard library
libgphobos-9-dev-mips-cross_9.2.1-8cross1_all.deb Phobos D standard library
Advertisement
Advertisement